%define name		netbeans-gjc
%define version		3.6
%define release		2jpp
%define section		non-free

Summary:	Netbeans Generic Java Compiler
Url:		http://www.netbeans.org/

Source0:	javac.jar
NoSource:	0
Source1:	java-gj.jar
NoSource:	1
# Get them from install of original netbeans-3.6
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	Sun Binary Code License
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
BuildRequires:	jpackage-utils >= 0:1.5
Requires:	jpackage-utils >= 0:1.5
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
See: JSR 14: Add Generic Types To The JavaTM Programming Language
Extending the JavaTM programming language with generic types 
(aka parameterized types). 

%prep
%setup -T -q -c
cp %{SOURCE0} .
cp %{SOURCE1} .

# fix files perms
chmod -R go=u-w *

%build
# Nope

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 0755                        $RPM_BUILD_ROOT%{_javadir}
install -p -m 0644 javac.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-javac-%{version}.jar
ln -s              %{name}-javac-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-javac.jar
install -p -m 0644 java-gj.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-java-gj-%{version}.jar
ln -s              %{name}-java-gj-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-java-gj.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_javadir}/%{name}*.jar

%changelog

* Fri Sep 03 2004 Ralph Apel <r.apel at r-apel.de> 3.6-2jpp
- Clarified origin of Source0 Source1

* Mon Aug 16 2004 Ralph Apel <r.apel at r-apel.de> 3.6-1jpp
- Initial release
